<!-- TODO: THIS FILE SHOULD BE DELETED -->

<script setup lang="ts">
import { computed } from 'vue';

// Ensure await usage is inside an async setup function if needed
const { content: post } = defineProps({
  content: {
    type: Object as never,
    required: true,
  },
});
const { authors } = await useAuthors(post.authors ?? []);
// Temporary commented while we improve pipeline times
// let relatedPosts;
// if (!post?.relatedPosts) {
//   const articleCategory = post?.category;
//   const currentPostSlug = post?.slug;

//   if (articleCategory && currentPostSlug) {
//     const { data: recentPosts } = await useAsyncData(() =>
//       queryContent('en-us/blog/')
//         .where({ category: articleCategory })
//         .where({ slug: { $ne: currentPostSlug } })
//         .sort({ date: -1 })
//         .limit(3)
//         .find(),
//     );
//     relatedPosts = recentPosts;
//   }
// } else {
//   relatedPosts = post.relatedPosts;
// }

const crumbs = [{ title: 'Blog', href: '/blog/' }];

if (post.category) {
  const categorySlug = toKebabCase(post.category);
  crumbs.push({
    title: post.category,
    href: `/blog/categories/${categorySlug}/`,
  });
}

crumbs.push({
  title: post.title,
  href: '',
});

// Calculate reading time with safety checks
const readingTime = computed(() => {
  if (!post?.body) return 0;

  const wordCount = post.body.split(' ').filter(Boolean).length;
  return Math.ceil(wordCount / 200);
});
</script>

<template>
  <div class="overflow-container">
    <BlogPostHero :post="post" :authors="authors" :crumbs="crumbs" :reading-time="readingTime" />

    <SlpContainer>
      <BlogPostShareWrapper :post="post">
        <BlogPostBody v-bind="post" />
      </BlogPostShareWrapper>
      <!-- <BlogResources v-if="relatedPosts && relatedPosts.length" :posts="relatedPosts" /> -->
      <!-- <BlogContactCta /> -->
    </SlpContainer>
    <CommonGetStarted />
  </div>
</template>

<style lang="scss" scoped>
.overflow-container {
  overflow-x: clip;
}
</style>
